ply.h File Reference
Module io
`#include <pcl/io/ply/byte_order.h>`
`#include <cstdint>`

Go to the source code of this file.

## Detailed Description

contains standard typedefs and generic type traits

Author
  Ares Lagae as part of libply, Nizar Sallem Ported with agreement from the author under the terms of the BSD license.

Definition in file ply.h.

## Namespaces

| pcl
| pcl::io
| pcl::io::ply

## Macros

#define | PLY_TYPE_TRAITS(TYPE, PARSE_TYPE, NAME, OLD_NAME)

## Typedefs

using | pcl::io::ply::int8 = std::int8_t
using | pcl::io::ply::int16 = std::int16_t
using | pcl::io::ply::int32 = std::int32_t
using | pcl::io::ply::uint8 = std::uint8_t
using | pcl::io::ply::uint16 = std::uint16_t
using | pcl::io::ply::uint32 = std::uint32_t
using | pcl::io::ply::float32 = float
using | pcl::io::ply::float64 = double
using | pcl::io::ply::format_type = int

## Enumerations

enum | pcl::io::ply::format { pcl::io::ply::ascii_format , pcl::io::ply::binary_little_endian_format , pcl::io::ply::binary_big_endian_format , pcl::io::ply::unknown }

## Macro Definition Documentation

## PLY_TYPE_TRAITS

#define PLY_TYPE_TRAITS | ( |  | TYPE,
|  |  | PARSE_TYPE,
|  |  | NAME,
|  |  | OLD_NAME
| ) |  |

Value:
template <> \
struct type_traits<TYPE> \
{ \
using type = TYPE; \
using parse_type = PARSE_TYPE; \
static const char* name () { return NAME; } \
static const char* old_name () { return OLD_NAME; } \
};

Definition at line 75 of file ply.h.